% Variance-Covariance matrix for the FE Tobit based on hessian adjusted by estimated
% regressor (first stage residuals) for MLE, BC and Jackknife

function H = avc_tobit(y,x,d, n, epsilon1, x1, mu1)

t  = size(y,1)/n;
P  = size(x,2);
N = size(x1,1);
dy = real(y > 0);
h = d(1,1);
rho = d(4,1);
delta = d(2:size(d,1),1);
mu = x*delta;
lambdabar = mills_prob(-mu);
dlambda1  = dmills_prob(mu1);

vit   = dy .* (h*y - mu) - (1 - dy) .* lambdabar ;
vita  = -dy + (1 - dy) .* dmills_prob(-mu);

uitb  = [- sum(dy .* (1/(h^2) + y.^2)), (dy .* y)' * x;
            x' * (dy .* y),  x' * (x .* (vita*ones(1,size(x,2))))];

uit   = [dy .* (1/h - (h*y - mu) .* y),   x .* (vit*ones(1,size(x,2)))];
dlambda1itgamma = x1 .* (dlambda1 * ones(1,size(x1,2)));
uitlambda  = rho*[dy .* y,   x .* (vita*ones(1,size(x,2)))];
uit1 = (x1 * inv((x1' * x1)/N)) .* (epsilon1 * ones(1,size(x1,2)));
uitgamma    = dlambda1itgamma' * uitlambda / N;

Uit = uit + uit1 * uitgamma;
Sigma0 = Uit'*Uit;

Uis = reshape(Uit,t,n*(P+1));
Uis = [zeros(1,n*(P+1)) ; Uis(1:(t-1),:)];
Uis = (t/(t-1))*reshape(Uis,t*n,P+1);

Sigma1 = Uit'*Uis;

H =  inv(uitb) * (Sigma0 + Sigma1)* inv(uitb);


