% Bias of alpha (based on MLE)

% In HN notation
% bias_alpha = - (1/2) \mean_{t} v_{it} V2_{it} / (\mean_{t}
% v_{it}^{2})^{2}

function BIAS = bias_alpha_tobit_mle(y,x,d,index)

D = dummyvar(index);
t = mean(sum(D));

dy = real(y > 0);
h = d(1,1);
delta = d(2:size(d,1),1);
mu = x*delta;
lambdabar = mills_prob(-mu);

vit   = dy .* (h*y - mu) - (1 - dy) .* lambdabar ;
vita  = - dy + (1 - dy) .* dmills_prob(-mu);
vitaa = - (1 - dy) .* ddmills_prob(- mu);

V2it = vit.^2 + vita;

pit   = phi_alpha_tobit_mle(y,x,d,index);
si    = sigma2_alpha_tobit_mle(y,x,d,index);

pis = reshape(pit,t,n);
pis = [zeros(1,n) ; pis(1:(t-1),:)];
pis = (t/(t-1))*reshape(pis,t*n,1);

s2 =  (1/t) * D' * (vit.^2);

s_vitapis = (1/t)* D' * (vita .* pis);
s_pitpis = (1/t) * D' * (pit .* pis);
s_vitaa = (1/t) * D' * vitaa;

s1 = (1/t) * D' * (vit.*V2it);

BIAS = - (1/2) * s1 ./ (s2 .^ 2) + (s_vitapis + (s_pitpis .* s_vitaa)) ./ s2;
