% Influence function of alpha (based on MLE + conditional expectation on x)

function PHI = phi_alpha_tobit_mle2(y,x,d,index)

D = dummyvar(index);
t = mean(sum(D));

dy = real(y > 0);
h = d(1,1);
delta = d(2:size(d,1),1);
mu = x*delta;
lambdabar = mills_prob(-mu);

vit   = dy .* (h*y - mu) - (1 - dy) .* lambdabar ;
vita   = - normcdf(mu) + (1 - normcdf(mu)) .* dmills_prob(-mu);

s2 =  (D' * vita) / t;

PHI   = - vit ./ kron(s2,ones(t,1));