function [P,Q]=probit(deltah, d, x2)
% Censored response model based on the normal distribution i.e. TOBIT
%

if size(deltah,2)==1,      
   mu = x2 * deltah(2:size(deltah,1),1);
else,
   error('Initial conditions must be entered as a column vector')
end

lambda = mills_prob(-mu);
h = max(deltah(1,1),0.0001);
dd = real(d > 0);

P = -sum(dd * log(h) + dd .* log(max(normpdf(h*d - mu),.0001)) + (1 - dd) .* log(max(1 - normcdf(mu), .0001)));

Q = - [ sum(dd .* (1/h - (h*d - mu) .* d)) ;
    sum(kron(dd .* (h*d - mu) - (1 - dd) .* lambda, ones(1, size(x2,2))) .* x2)' ];
