% Variance-Covariance matrix for the parameters of the first stage (linear
% probability model) in Olsen's procedure

function H = vc_olsen(y,x,beta)

h = x' * x;
epsilon = y - x*beta;
Omega = diag(epsilon .^ 2);
v = x' * Omega * x;

H = inv(h) * v * inv(h);
