% Variance-Covariance matrix for the FE Tobit based on hessian

function H = vc_tobit(y,x,d,n)

t  = size(y,1)/n;
P  = size(x,2);
dy = real(y > 0);
h  = d(1,1);
delta = d(2:size(d,1),1);
mu = x*delta;
lambdabar = mills_prob(-mu);


vit   = dy .* (h*y - mu) - (1 - dy) .* lambdabar ;
vita  = -dy + (1 - dy) .* dmills_prob(-mu);

uit   = [dy .* (1/h - (h*y - mu) .* y) ,  x .* (vit*ones(1,P))];

uitb  = [- sum(dy .* (1/(h^2) + y.^2)) (dy .* y)' * x;
            x' * (dy .* y)  x' * (x .* (vita*ones(1,size(x,2))))];


uis = reshape(uit,t,n*(P+1));
uis = [zeros(1,n*(P+1)) ; uis(1:(t-1),:)];
uis = (t/(t-1))*reshape(uis,t*n,P+1);

Sigma1 = uit'*uis;
Sigma0 = uit'*uit;

H = inv(uitb)*(Sigma0 + Sigma1)*inv(uitb);
