% Variance-Covariance matrix for FE-tobit based on conditional information
% matrix
function V = vc_tobit2(y,x,d,n)

t  = size(y,1)/n;
P  = size(x,2);
dy = real(y > 0);
h  = d(1,1);
delta = d(2:size(d,1),1);
mu = x*delta;
lambdabar = mills_prob(-mu);
lambda = mills_prob(mu);


vit   = dy .* (h*y - mu) - (1 - dy) .* lambdabar ;
vita  = - normcdf(mu) + (1 - normcdf(mu)) .* dmills_prob(-mu);

uit   = [dy .* (1/h - (h*y - mu) .* y) ,  x .* (vit*ones(1,P))];

uitb  = [- sum(normcdf(mu) .* (2 + mu .* (mu + lambda))/(h^2))  (normcdf(mu) .* (mu + lambda))' * x / h;
            x' * (normcdf(mu) .* (mu + lambda)) / h  x' * (x .* (vita*ones(1,size(x,2))))];


uis = reshape(uit,t,n*(P+1));
uis = [zeros(1,n*(P+1)) ; uis(1:(t-1),:)];
uis = (t/(t-1))*reshape(uis,t*n,P+1);

Sigma1 = uit'*uis;

V = - inv(uitb) + inv(uitb)*Sigma1*inv(uitb);




